Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.djep
Interface DiffRulesI

All Known Implementing Classes:
  AdditionDiffRule, ChainRuleDiffRules, DivideDiffRule, MacroDiffRules, MacroFunctionDiffRules, MultiplyDiffRule, PassThroughDiffRule, PowerDiffRule, SubtractDiffRule

    public interface DiffRulesI

Holds a set of rules describing how to differentiate a function. Each function to be differentiated should have a object which implements this interface.

Author:
  R Morris Created on 18-Jun-2003

Method Summary
`Node` | `differentiate(ASTFunNode node, java.lang.String var, Node[] children, Node[] dchildren, DJep djep)` Returns the top node of of the derivative of this function wrt to variable var.
`java.lang.String` | `getName()` Returns the name of the function.
`java.lang.String` | `toString()` Returns a string representation of the rule.

Method Detail

### differentiate

    Node differentiate(ASTFunNode node,
                       java.lang.String var,
                       Node[] children,
                       Node[] dchildren,
                       DJep djep)
                       throws ParseException

  Returns the top node of of the derivative of this function wrt to variable var.

  Parameters:
    `var` - The name of variable to differentiate wrt to.
    `children` - the arguments of the function
    `dchildren` - the derivatives of each argument of the function.
  Returns:
    top node of and expression tree for the derivative.
  Throws:
    `ParseException` - if there is some problem in compiling the derivative.

### toString

    java.lang.String toString()

  Returns a string representation of the rule.

  Overrides:
    `toString` in class `java.lang.Object`

### getName

    java.lang.String getName()

  Returns the name of the function. Used as index in hashtable and as way of linking with standard JEP functions. You probably want to specify the in the constructors.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems